#include <cstdlib>
#include <cstring>

int main() {
	char *abc = std::malloc(6);
	std::strcpy(abc, "hello");
	char *def = std::realloc(abc, 6);
	std::strcpy(def, "holle");
	std::cout << abc << def << std::endl;
	return 0;
}

